Skip to main content
Alerting & Response/Alert Rules

UpdateAlertInhibitionRule

Update an existing inhibition rule configuration

PUT/api/v1/alerting/inhibition-rules/{ruleId}

Operation ID

UpdateAlertInhibitionRule

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • ruleId
    StringRequired

    Inhibition rule identifier to update

Body Fields

  • name
    StringRequired

    New rule name

    Example: Updated inhibition rule

  • description
    StringRequired

    New rule description

    Example: Updated description

  • sourceMatch
    StringRequired

    New source matcher expression

    Example: alertname=HostDown

  • targetMatch
    StringRequired

    New target matcher expression

    Example: alertname=DiskFull

  • equalLabels
    StringRequired

    New equal labels

    Example: host

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • uuid
    String

    Unique identifier of the inhibition rule

    Example: inhib-001

  • name
    String

    Human-readable rule name

    Example: Suppress disk alerts when host down

  • description
    String

    Rule description

    Example: Suppress disk alerts when host is unreachable

  • sourceMatch
    String

    Source alert matcher expression

    Example: alertname=HostDown

  • targetMatch
    String

    Target alert matcher expression to suppress

    Example: alertname=DiskFull

  • equalLabels
    String

    Comma-separated labels that must match between source and target

    Example: host,cluster

  • enabled
    Boolean

    Whether this inhibition rule is active

    Example: true

  • createDate
    String

    Timestamp when the rule was created

    Example: 2026-01-15T08:00:00Z

  • lastOpDate
    String

    Timestamp of the last modification

    Example: 2026-01-15T08:00:00Z